package de.ozgcloud.eingang.xta;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Spy;

class XtaRemoteServiceConfigurationTest {

	@Spy
	@InjectMocks
	XtaRemoteServiceConfiguration configuration;

	@Test
	void testBuildServerAddressUri() {

		String serverUrl = configuration.buildServerAddressUri(XtaPropertiesTestFactory.create().getServer());

		assertThat(serverUrl).isEqualTo("https://xta-adapter-port-forward-service.ssh-port-forward.svc.cluster.local/MB_XTA-WS/XTA210msgBoxPort.svc");
	}
}
