package de.ozgcloud.eingang.xta;

import de.ozgcloud.eingang.common.formdata.FormHeader;
import de.ozgcloud.eingang.common.formdata.FormHeader.FormHeaderBuilder;

public class FormHeaderTestFactory {

	private static final String FORM_NAME = "xdomea";
	static final String VORGANGNUMMER = "vorgangNummer";

	static FormHeader create() {
		return createBuilder().build();
	}

	static FormHeaderBuilder createBuilder() {
		return FormHeader.builder()
				.sender("XTA")
				.requestId(XtaMessageTestFactory.MESSAGE_ID.toString())
				.vorgangNummer(VORGANGNUMMER)
				.formName(FORM_NAME)
				.formId(XtaMessageMetaDataTestFactory.MESSAGE_TYPE)
				.createdAt(XtaMessageMetaDataTestFactory.ORIGIN);
	}
}
